Is a gem ready for Rails 4 or 5?

Rails 4: 614 ready, 38 not ready, and 433 unknown
Rails 5: 161 ready, 11 not ready, and 913 unknown
Name Status Rails 4 Notes Rails 4 Status Rails 5 Notes Rails 5 Status or notes updated
shoulda-matchers ready

ready since gem version 2.4.0 (source)

ready

since gem version 4

10 days ago
awesome_nested_set ready

master branch

ready

since gem version 3.1

10 days ago
activeldap ready

since version 4.0.0

ready

Supports Rails 5.1.0 and 5.2.0 since releases 5.1.0 and 5.2.0

13 days ago
acts_as_list ready

pull request for Rails 4 compatibility is closed

ready

from gem version 0.7.5

2 months ago
lograge unknown ready

5.0 from v0.4.0, 5.1 from v0.5.0, 5.2 from ? mentioned in commit messages though

3 months ago
nokogiri ready

Does not depend on Rails.

ready

does not depend on Rails

3 months ago
puma ready

-

ready

default server for Rails

3 months ago
pry-rails ready

-

ready

5.0 from v0.3.3, 5.1 from v0.3.7, 5.2 from v0.3.9, 6.0 (!) from v0.3.9

3 months ago
quiet_assets ready

-

not ready

See https://github.com/evrone/quiet_assets#deprecation

3 months ago
rack-attack ready

-

ready

5.1 from v5.1.0, 5.2 from v5.3.0

3 months ago
rails_12factor ready

-

ready

This gem isn't needed for New Rails 5 apps. There is doc in the README for migrating from a Rails 4 to 5 app: https://github.com/heroku/rails_12factor

3 months ago
ranked-model ready

Recent activity and rails4 branch merged in July 3rd. (https://github.com/mixonic/ranked-model)

ready

5.0, 5.1, 5.2 from v 0.4.2

3 months ago
react-rails ready

It works in our rails 4.1.6 app.

ready

5.2 from v2.4.5, 5.1 from v2.1.0, 5.0 from v1.7.1 (at least... bugfix for v 5.0 mentioned in changelog)

3 months ago
redis-namespace ready

Does not depend on Rails.

ready

does not depend on Rails

3 months ago
responders ready

since gem version 1.0.0.rc

ready

5.0 from v2.1.1, 5.1/5.2 from v2.4.0

3 months ago
rollout ready

Working with '~> 1.2'

ready

does not depend on Rails

3 months ago
roo ready

Does not depend on Rails

ready

does not depend on Rails

3 months ago
rubocop ready

Does not depends on Rails

ready

does not depend on Rails

3 months ago
scenic ready

-

ready

5.2 from master, 5.1 from v1.4.0, 5.0 from v1.1.0 (at least, could be earlier)

3 months ago
sdoc ready

does not depend on Rails

ready

does not depend on Rails

3 months ago